// tab3.page.ts
import { Component } from '@angular/core';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
  standalone: false,
})
export class Tab3Page {

  constructor(private navCtrl: NavController) { }

  handleAction(type: string) {
    switch(type) {
      case 'feedback':
        console.log('打开意见反馈');
        break;
      case 'privacy':
        console.log('打开隐私政策');
        break;
      case 'agreement':
        console.log('打开用户协议');
        break;
    }
  }
  goToRecords() {
    this.navCtrl.navigateForward(["tabs","tab3","page-records"]);
    console.log('Navigating to page-records');
  }
  goToCollections() {
    this.navCtrl.navigateForward(["tabs","tab3","page-collections"]);
    console.log('Navigating to page-collections');
  }

}